<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>BundledBlockRegistry (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BundledBlockRegistry (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.BlockEntry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/BundledBlockRegistry.html" target="_top">Frames</a></li>
<li><a href="BundledBlockRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.registry</div>
<h2 title="Class BundledBlockRegistry" class="title">Class BundledBlockRegistry</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.registry.BundledBlockRegistry</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BundledBlockRegistry</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></pre>
<div class="block">A block registry that uses <a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.html" title="class in com.sk89q.worldedit.world.registry"><code>BundledBlockData</code></a> to serve information
 about blocks.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html#BundledBlockRegistry--">BundledBlockRegistry</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html#getMaterial-com.sk89q.worldedit.world.block.BlockType-">getMaterial</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</code>
<div class="block">Get the material for the given block.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html#getName-com.sk89q.worldedit.world.block.BlockType-">getName</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</code>
<div class="block">Gets the name for the given block.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockRegistry.html#getProperties-com.sk89q.worldedit.world.block.BlockType-">getProperties</a></span>(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</code>
<div class="block">Get an unmodifiable map of states for this block.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BundledBlockRegistry--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BundledBlockRegistry</h4>
<pre>public&nbsp;BundledBlockRegistry()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName-com.sk89q.worldedit.world.block.BlockType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>@Nullable
public&nbsp;java.lang.String&nbsp;getName(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getName-com.sk89q.worldedit.world.block.BlockType-">BlockRegistry</a></code></span></div>
<div class="block">Gets the name for the given block.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getName-com.sk89q.worldedit.world.block.BlockType-">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockType</code> - the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The name, or null if it's unknown</dd>
</dl>
</li>
</ul>
<a name="getMaterial-com.sk89q.worldedit.world.block.BlockType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaterial</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/registry/BlockMaterial.html" title="interface in com.sk89q.worldedit.world.registry">BlockMaterial</a>&nbsp;getMaterial(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getMaterial-com.sk89q.worldedit.world.block.BlockType-">BlockRegistry</a></code></span></div>
<div class="block">Get the material for the given block.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getMaterial-com.sk89q.worldedit.world.block.BlockType-">getMaterial</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockType</code> - the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the material, or null if the material information is not known</dd>
</dl>
</li>
</ul>
<a name="getProperties-com.sk89q.worldedit.world.block.BlockType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProperties</h4>
<pre>@Nullable
public&nbsp;java.util.Map&lt;java.lang.String,? extends <a href="../../../../../com/sk89q/worldedit/registry/state/Property.html" title="interface in com.sk89q.worldedit.registry.state">Property</a>&lt;?&gt;&gt;&nbsp;getProperties(<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&nbsp;blockType)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getProperties-com.sk89q.worldedit.world.block.BlockType-">BlockRegistry</a></code></span></div>
<div class="block">Get an unmodifiable map of states for this block.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html#getProperties-com.sk89q.worldedit.world.block.BlockType-">getProperties</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/BlockRegistry.html" title="interface in com.sk89q.worldedit.world.registry">BlockRegistry</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockType</code> - the block</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a map of states where the key is the state's ID</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BundledBlockData.BlockEntry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/BundledItemData.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/BundledBlockRegistry.html" target="_top">Frames</a></li>
<li><a href="BundledBlockRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
